Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122714 - struct winsize not defined on ppc64
Summary: struct winsize not defined on ppc64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: ppc64le
OS: Linux
high
high
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker 1105776
TreeView+ depends on / blocked
 
Reported: 2014-07-23 20:51 UTC by Mark Hamzy
Modified: 2016-11-24 12:34 UTC (History)
10 users (show)

Fixed In Version: glibc-2.19.90-32.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 08:11:33 UTC


Attachments (Terms of Use)

Description Mark Hamzy 2014-07-23 20:51:45 UTC
/usr/include/bits/ioctl-types.h is different on x86_64 and ppc64(le)

This breaks

xorg-x11-apps-7.7-10.fc21
http://koji.fedoraproject.org/koji/buildinfo?buildID=545839
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=238929

busybox-1.19.4-14.fc21
http://koji.fedoraproject.org/koji/buildinfo?buildID=523695
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=252748

Please verify that scratch builds of both srpms work.

Comment 1 Carlos O'Donell 2014-08-01 01:53:03 UTC
I reviewed the upstream patch from IBM.
https://sourceware.org/ml/libc-alpha/2014-07/msg00487.html

Comment 2 Adhemerval Zanella Netto 2014-08-06 18:45:36 UTC
It should be fixed by https://sourceware.org/git/?p=glibc.git;a=commit;h=d4795e4a43e6f0c221bc5dc64c612206a21a177b

Besides GLIBC own testsuite (which didn't actually accused this error) I have checked by building busybox (master) against this new glibc.

Comment 3 Dan Horák 2014-08-28 08:11:33 UTC
fixed in glibc-2.19.90-32.fc21

xorg-x11-apps-7.7-11.fc21 is now built - http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=257502


Note You need to log in before you can comment on or make changes to this bug.